Bug 1384271 - When refreshing manifest it takes long periods of time when you have more than 100+ subscriptions [NEEDINFO]
Summary: When refreshing manifest it takes long periods of time when you have more tha...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: Subscription Management
Version: 6.2.2
Hardware: Unspecified
OS: Unspecified
medium
medium vote
Target Milestone: Unspecified
Assignee: Walden Raines
QA Contact: Christine Fouant
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-10-13 00:47 UTC by Kathryn Dixon
Modified: 2020-01-17 16:01 UTC (History)
10 users (show)

Fixed In Version: tfm-rubygem-katello-3.4.4
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-02-21 16:45:17 UTC
Target Upstream Version:
smercurio: needinfo?


Attachments (Terms of Use)
New tab shows completed before manifest finishes importing (250.33 KB, image/png)
2017-08-16 18:06 UTC, Christine Fouant
no flags Details
Manifest refresh waits until process finishes before updating. (235.82 KB, image/png)
2017-08-16 18:07 UTC, Christine Fouant
no flags Details


Links
System ID Private Priority Status Summary Last Updated
Foreman Issue Tracker 20244 0 Normal Closed Clicking Refresh Manifest Does Not Give Feedback 2021-01-11 14:41:25 UTC

Description Kathryn Dixon 2016-10-13 00:47:35 UTC
Description of problem:

In satellite webui the manifest refresh page doesn't update to show that it is complete. If you refresh the manifest then open up the same page in another tab it will be complete and show time stamp. This is leaving people to believe there manifest is not refreshing, when it actually is.

Version-Release number of selected component (if applicable):


How reproducible: 100%


Steps to Reproduce:
1. upload manifest
2. refresh manifest
3. leave same page open

Actual results:

manifest refresh spins and spins


Expected results: manifest refresh to complete and show it completed in real time.


Additional info:

Comment 7 Brad Buckingham 2017-06-02 12:59:45 UTC
Hi Kathryn,

I believe this bugzilla raises a couple of issues which we may want to track separately based upon the code that is impacted.

1. Performing a manifest refresh takes a long time.
2. When performing a manifest refresh, if the user opens a new tab (or browser), navigates to Content -> Red Hat Subscriptions -> Manage Manifest, the UI will report that the refresh is complete; however, it is still in progress according to Monitor -> Tasks

Do you agree?
If so, can we track them with separate bugzillas?  Also, which is of most concern to users?

Comment 8 Kathryn Dixon 2017-06-02 13:18:30 UTC
(In reply to Brad Buckingham from comment #7)
> Hi Kathryn,
> 
> I believe this bugzilla raises a couple of issues which we may want to track
> separately based upon the code that is impacted.
> 
> 1. Performing a manifest refresh takes a long time.
> 2. When performing a manifest refresh, if the user opens a new tab (or
> browser), navigates to Content -> Red Hat Subscriptions -> Manage Manifest,
> the UI will report that the refresh is complete; however, it is still in
> progress according to Monitor -> Tasks
> 
> Do you agree?
> If so, can we track them with separate bugzillas?  Also, which is of most
> concern to users?

I agree Brad. Think I forgot to split this into two when I noticed the task issue.

Comment 12 Justin Sherrill 2017-07-12 18:23:40 UTC
Connecting redmine issue http://projects.theforeman.org/issues/20244 from this bug

Comment 13 Brad Buckingham 2017-07-13 18:57:35 UTC
The current plan from engineering is to address item 2 of comment 7, which stated:

2. When performing a manifest refresh, if the user opens a new tab (or browser), navigates to Content -> Red Hat Subscriptions -> Manage Manifest, the UI will report that the refresh is complete; however, it is still in progress according to Monitor -> Tasks

Comment 14 Satellite Program 2017-07-17 18:03:34 UTC
Moving this bug to POST for triage into Satellite 6 since the upstream issue http://projects.theforeman.org/issues/20244 has been resolved.

Comment 15 Satellite Program 2017-08-03 22:04:24 UTC
Moving this bug to POST for triage into Satellite 6 since the upstream issue http://projects.theforeman.org/issues/20244 has been resolved.

Comment 16 Christine Fouant 2017-08-16 18:06:27 UTC
Created attachment 1314263 [details]
New tab shows completed before manifest finishes importing

Comment 17 Christine Fouant 2017-08-16 18:07:52 UTC
Created attachment 1314264 [details]
Manifest refresh waits until process finishes before updating.

Comment 18 Christine Fouant 2017-08-16 18:09:33 UTC
Failed on Satellite-6.3 Snap 11

While the manifest refresh does seem to have been fixed (tested with >2000 subscriptions imported), I hit the issue during initial import (screenshots attached). This is closely related enough to fall under this BZ.

Comment 19 Walden Raines 2017-08-17 13:48:37 UTC
(In reply to Christine Fouant from comment #18)
> Failed on Satellite-6.3 Snap 11
> 
> While the manifest refresh does seem to have been fixed (tested with >2000
> subscriptions imported), I hit the issue during initial import (screenshots
> attached). This is closely related enough to fall under this BZ.

Does it fail against what is said in comment#13?

Comment 20 Christine Fouant 2017-08-22 22:01:43 UTC
(In reply to Walden Raines from comment #19)
> (In reply to Christine Fouant from comment #18)
> > Failed on Satellite-6.3 Snap 11
> > 
> > While the manifest refresh does seem to have been fixed (tested with >2000
> > subscriptions imported), I hit the issue during initial import (screenshots
> > attached). This is closely related enough to fall under this BZ.
> 
> Does it fail against what is said in comment#13?

No, it didn't fail on refreshing. However, QE told me that initial import behavior should also fall under this BZ.

Comment 21 Walden Raines 2017-08-23 13:14:42 UTC
(In reply to Christine Fouant from comment #20)
> (In reply to Walden Raines from comment #19)
> > (In reply to Christine Fouant from comment #18)
> > > Failed on Satellite-6.3 Snap 11
> > > 
> > > While the manifest refresh does seem to have been fixed (tested with >2000
> > > subscriptions imported), I hit the issue during initial import (screenshots
> > > attached). This is closely related enough to fall under this BZ.
> > 
> > Does it fail against what is said in comment#13?
> 
> No, it didn't fail on refreshing. However, QE told me that initial import
> behavior should also fall under this BZ.

I am going to have to disagree with that given comment#10, comment#11, and comment#13.  The time to disapprove of the approach for 6.3 has already passed.  I think we should open a new bug for import as they are separate issues anyway.

Comment 22 Bryan Kearney 2018-02-21 16:41:41 UTC
Since the problem described in this bug report should be resolved in a recent advisory, it has been closed with a resolution of ERRATA.

For information on the advisory, and where to find the updated files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:0336

Comment 23 Bryan Kearney 2018-02-21 16:45:17 UTC
Since the problem described in this bug report should be resolved in a recent advisory, it has been closed with a resolution of ERRATA.

For information on the advisory, and where to find the updated files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:0336

Comment 24 Satellite Program 2018-02-21 16:51:07 UTC
Since the problem described in this bug report should be resolved in a recent advisory, it has been closed with a resolution of ERRATA.
> 
> For information on the advisory, and where to find the updated files, follow the link below.
> 
> If the solution does not work for you, open a new bug report.
> 
> https://access.redhat.com/errata/RHSA-2018:0336

Comment 25 Steven Mercurio 2018-06-12 17:19:40 UTC
Has this been fixed in the 6.2.x tree as well?


Note You need to log in before you can comment on or make changes to this bug.